Package com.emc.d2fs.services.search_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.search_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.search_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.search_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CreateSearchCategoryRequest`
  `createCreateSearchCategoryRequest()`
  Create an instance of `CreateSearchCategoryRequest`
  `CreateSearchCategoryResponse`
  `createCreateSearchCategoryResponse()`
  Create an instance of `CreateSearchCategoryResponse`
  `DuplicateSearchAsLastSearchRequest`
  `createDuplicateSearchAsLastSearchRequest()`
  Create an instance of `DuplicateSearchAsLastSearchRequest`
  `DuplicateSearchAsLastSearchResponse`
  `createDuplicateSearchAsLastSearchResponse()`
  Create an instance of `DuplicateSearchAsLastSearchResponse`
  `GetLastSearchQueryTermRequest`
  `createGetLastSearchQueryTermRequest()`
  Create an instance of `GetLastSearchQueryTermRequest`
  `GetLastSearchQueryTermResponse`
  `createGetLastSearchQueryTermResponse()`
  Create an instance of `GetLastSearchQueryTermResponse`
  `GetQuickSearchContentRequest`
  `createGetQuickSearchContentRequest()`
  Create an instance of `GetQuickSearchContentRequest`
  `GetQuickSearchContentResponse`
  `createGetQuickSearchContentResponse()`
  Create an instance of `GetQuickSearchContentResponse`
  `GetQuickSearchContentWithOptionRequest`
  `createGetQuickSearchContentWithOptionRequest()`
  Create an instance of `GetQuickSearchContentWithOptionRequest`
  `GetQuickSearchMultiContentRequest`
  `createGetQuickSearchMultiContentRequest()`
  Create an instance of `GetQuickSearchMultiContentRequest`
  `GetQuickSearchMultiContentResponse`
  `createGetQuickSearchMultiContentResponse()`
  Create an instance of `GetQuickSearchMultiContentResponse`
  `GetSearchAssistanceValuesRequest`
  `createGetSearchAssistanceValuesRequest()`
  Create an instance of `GetSearchAssistanceValuesRequest`
  `GetSearchAssistanceValuesResponse`
  `createGetSearchAssistanceValuesResponse()`
  Create an instance of `GetSearchAssistanceValuesResponse`
  `GetSearchAttributesRequest`
  `createGetSearchAttributesRequest()`
  Create an instance of `GetSearchAttributesRequest`
  `GetSearchAttributesResponse`
  `createGetSearchAttributesResponse()`
  Create an instance of `GetSearchAttributesResponse`
  `GetSearchConditionsRequest`
  `createGetSearchConditionsRequest()`
  Create an instance of `GetSearchConditionsRequest`
  `GetSearchConditionsResponse`
  `createGetSearchConditionsResponse()`
  Create an instance of `GetSearchConditionsResponse`
  `LoadSearchAttributesRequest`
  `createLoadSearchAttributesRequest()`
  Create an instance of `LoadSearchAttributesRequest`
  `LoadSearchAttributesResponse`
  `createLoadSearchAttributesResponse()`
  Create an instance of `LoadSearchAttributesResponse`
  `RunDQLSearchRequest`
  `createRunDQLSearchRequest()`
  Create an instance of `RunDQLSearchRequest`
  `RunDQLSearchResponse`
  `createRunDQLSearchResponse()`
  Create an instance of `RunDQLSearchResponse`
  `RunQueryFormRequest`
  `createRunQueryFormRequest()`
  Create an instance of `RunQueryFormRequest`
  `RunQueryFormResponse`
  `createRunQueryFormResponse()`
  Create an instance of `RunQueryFormResponse`
  `RunTempDQLSearchRequest`
  `createRunTempDQLSearchRequest()`
  Create an instance of `RunTempDQLSearchRequest`
  `RunTempDQLSearchResponse`
  `createRunTempDQLSearchResponse()`
  Create an instance of `RunTempDQLSearchResponse`
  `SaveSearchRequest`
  `createSaveSearchRequest()`
  Create an instance of `SaveSearchRequest`
  `SaveSearchResponse`
  `createSaveSearchResponse()`
  Create an instance of `SaveSearchResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.search_service

- ## Method Details

  - ### createGetQuickSearchContentRequest

    public GetQuickSearchContentRequest createGetQuickSearchContentRequest()
    Create an instance of `GetQuickSearchContentRequest`

  - ### createGetQuickSearchContentResponse

    public GetQuickSearchContentResponse createGetQuickSearchContentResponse()
    Create an instance of `GetQuickSearchContentResponse`

  - ### createGetQuickSearchContentWithOptionRequest

    public GetQuickSearchContentWithOptionRequest createGetQuickSearchContentWithOptionRequest()
    Create an instance of `GetQuickSearchContentWithOptionRequest`

  - ### createGetQuickSearchMultiContentRequest

    public GetQuickSearchMultiContentRequest createGetQuickSearchMultiContentRequest()
    Create an instance of `GetQuickSearchMultiContentRequest`

  - ### createGetQuickSearchMultiContentResponse

    public GetQuickSearchMultiContentResponse createGetQuickSearchMultiContentResponse()
    Create an instance of `GetQuickSearchMultiContentResponse`

  - ### createRunQueryFormRequest

    public RunQueryFormRequest createRunQueryFormRequest()
    Create an instance of `RunQueryFormRequest`

  - ### createRunQueryFormResponse

    public RunQueryFormResponse createRunQueryFormResponse()
    Create an instance of `RunQueryFormResponse`

  - ### createGetSearchAttributesRequest

    public GetSearchAttributesRequest createGetSearchAttributesRequest()
    Create an instance of `GetSearchAttributesRequest`

  - ### createGetSearchAttributesResponse

    public GetSearchAttributesResponse createGetSearchAttributesResponse()
    Create an instance of `GetSearchAttributesResponse`

  - ### createGetSearchConditionsRequest

    public GetSearchConditionsRequest createGetSearchConditionsRequest()
    Create an instance of `GetSearchConditionsRequest`

  - ### createGetSearchConditionsResponse

    public GetSearchConditionsResponse createGetSearchConditionsResponse()
    Create an instance of `GetSearchConditionsResponse`

  - ### createGetSearchAssistanceValuesRequest

    public GetSearchAssistanceValuesRequest createGetSearchAssistanceValuesRequest()
    Create an instance of `GetSearchAssistanceValuesRequest`

  - ### createGetSearchAssistanceValuesResponse

    public GetSearchAssistanceValuesResponse createGetSearchAssistanceValuesResponse()
    Create an instance of `GetSearchAssistanceValuesResponse`

  - ### createLoadSearchAttributesRequest

    public LoadSearchAttributesRequest createLoadSearchAttributesRequest()
    Create an instance of `LoadSearchAttributesRequest`

  - ### createLoadSearchAttributesResponse

    public LoadSearchAttributesResponse createLoadSearchAttributesResponse()
    Create an instance of `LoadSearchAttributesResponse`

  - ### createSaveSearchRequest

    public SaveSearchRequest createSaveSearchRequest()
    Create an instance of `SaveSearchRequest`

  - ### createSaveSearchResponse

    public SaveSearchResponse createSaveSearchResponse()
    Create an instance of `SaveSearchResponse`

  - ### createGetLastSearchQueryTermRequest

    public GetLastSearchQueryTermRequest createGetLastSearchQueryTermRequest()
    Create an instance of `GetLastSearchQueryTermRequest`

  - ### createGetLastSearchQueryTermResponse

    public GetLastSearchQueryTermResponse createGetLastSearchQueryTermResponse()
    Create an instance of `GetLastSearchQueryTermResponse`

  - ### createCreateSearchCategoryRequest

    public CreateSearchCategoryRequest createCreateSearchCategoryRequest()
    Create an instance of `CreateSearchCategoryRequest`

  - ### createCreateSearchCategoryResponse

    public CreateSearchCategoryResponse createCreateSearchCategoryResponse()
    Create an instance of `CreateSearchCategoryResponse`

  - ### createRunDQLSearchRequest

    public RunDQLSearchRequest createRunDQLSearchRequest()
    Create an instance of `RunDQLSearchRequest`

  - ### createRunDQLSearchResponse

    public RunDQLSearchResponse createRunDQLSearchResponse()
    Create an instance of `RunDQLSearchResponse`

  - ### createRunTempDQLSearchRequest

    public RunTempDQLSearchRequest createRunTempDQLSearchRequest()
    Create an instance of `RunTempDQLSearchRequest`

  - ### createRunTempDQLSearchResponse

    public RunTempDQLSearchResponse createRunTempDQLSearchResponse()
    Create an instance of `RunTempDQLSearchResponse`

  - ### createDuplicateSearchAsLastSearchRequest

    public DuplicateSearchAsLastSearchRequest createDuplicateSearchAsLastSearchRequest()
    Create an instance of `DuplicateSearchAsLastSearchRequest`

  - ### createDuplicateSearchAsLastSearchResponse

    public DuplicateSearchAsLastSearchResponse createDuplicateSearchAsLastSearchResponse()
    Create an instance of `DuplicateSearchAsLastSearchResponse`